## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iReporterIterator Struct Reference
[Utilities, Utilities]

An iterator to iterate over all messages in the reporter. More...

`#include <ivaria/reporter.h>`

Inheritance diagram for iReporterIterator:

[legend]
List of all members.

## Public Member Functions

virtual const char * | GetMessageDescription () const =0
| Get message description.
virtual const char * | GetMessageId () const =0
| Get message id.
virtual int | GetMessageSeverity () const =0
| Get the message severity for the current element in the iterator.
virtual bool | HasNext ()=0
| Are there more elements?
virtual void | Next ()=0
| Get next element.

## Detailed Description

An iterator to iterate over all messages in the reporter.

Main creators of instances implementing this interface:

- iReporter::GetMessageIterator()

Definition at line 106 of file reporter.h.

## Member Function Documentation

virtual const char* iReporterIterator::GetMessageDescription | ( |  | ) | const`[pure virtual]`

| Get message description.

virtual const char* iReporterIterator::GetMessageId | ( |  | ) | const`[pure virtual]`

| Get message id.

virtual int iReporterIterator::GetMessageSeverity | ( |  | ) | const`[pure virtual]`

| Get the message severity for the current element in the iterator.

virtual bool iReporterIterator::HasNext | ( |  | ) | `[pure virtual]`

| Are there more elements?

virtual void iReporterIterator::Next | ( |  | ) | `[pure virtual]`

| Get next element. After calling this call one of the GetBla() functions to get information for the current element.

The documentation for this struct was generated from the following file:

- ivaria/reporter.h